<div class="row">
    <h4>Sources <a [routerLink]="['/sources/add']" class="btn btn-default pull-right">Add Source</a></h4>
    <h4 *ngIf="showAddLoaderButton"> <a  (click)="loadToRedshift()" class="btn btn-default">Load To Redshift</a></h4>
    <table class="table">
        <thead>
            <tr>
                <th>#</th>
                <th></th>
                <th>File</th>
                <th>Upload Status</th>
                <th>Created</th>
            </tr>
        </thead>
        <tbody *ngIf = "fileList">
            <tr *ngFor="let file of fileList; let counter = index">
                <th scope="row">{{counter + 1}}</th>
                <td>
                    <input [value]="module" type="checkbox" (change)="getSelectedChecks()" [(ngModel)]="file.checked"> 
                </td>
                <td>{{file.filename}}</td>
                <td>{{file.uploaded}}</td>
                <td>{{file.created  | date:'yyyy-MM-dd HH:mm:ss Z'}}</td>
            </tr>
        </tbody>
        <tbody *ngIf = "!fileList && !loadingData">
            <tr>                
                <th colspan="2">No Data</th>
            </tr>
        </tbody>
        <tbody *ngIf = "!fileList && loadingData">
            <tr>
                <th colspan="4">
                   <h3 style="text-align: center;">Loading</h3>
                    <div class="spinner">
                      <div class="bounce1"></div>
                      <div class="bounce2"></div>
                      <div class="bounce3"></div>
                    </div>
                </th>
            </tr>
        </tbody>
    </table>
</div>